Index: textproc/mecab-ipadic-eucjp/Portfile
===================================================================
--- textproc/mecab-ipadic-eucjp/Portfile	(revision 300)
+++ textproc/mecab-ipadic-eucjp/Portfile	(revision 308)
@@ -2,7 +2,7 @@
 
 PortSystem      1.0
 name            mecab-ipadic-eucjp
-version         2.7.0-20060707
+version         2.7.0-20070610
 categories      textproc japanese
 maintainers     rsky0711@gmail.com
 platforms       darwin
@@ -14,9 +14,9 @@
 worksrcdir      mecab-ipadic-${version}
 set dicdir      ipadic-eucjp
 master_sites    sourceforge:mecab
-checksums       md5    45b9f822700ad4eceb6722d6edcc2a46 \
-                sha1   373be900f9be22957636acc54f120fea013f8818 \
-                rmd160 cf2f7ad97e50cae6d0a9e9f13bc9328aeab33304
+checksums       md5    948f283cfcafbd562317c79df147da68 \
+                sha1   a79897d494b0dea4bc08d1da36134d9098a9bb6b \
+                rmd160 d402f7b4eef1b169e1d49810987e79314a572d29
 
 depends_lib     port:mecab
 
Index: textproc/mecab-ipadic-utf8/Portfile
===================================================================
--- textproc/mecab-ipadic-utf8/Portfile	(revision 300)
+++ textproc/mecab-ipadic-utf8/Portfile	(revision 308)
@@ -2,8 +2,7 @@
 
 PortSystem      1.0
 name            mecab-ipadic-utf8
-version         2.7.0-20060707
-revision        1
+version         2.7.0-20070610
 categories      textproc japanese
 maintainers     rsky0711@gmail.com
 platforms       darwin
@@ -15,9 +14,9 @@
 worksrcdir      mecab-ipadic-${version}
 set dicdir      ipadic-utf8
 master_sites    sourceforge:mecab
-checksums       md5    45b9f822700ad4eceb6722d6edcc2a46 \
-                sha1   373be900f9be22957636acc54f120fea013f8818 \
-                rmd160 cf2f7ad97e50cae6d0a9e9f13bc9328aeab33304
+checksums       md5    948f283cfcafbd562317c79df147da68 \
+                sha1   a79897d494b0dea4bc08d1da36134d9098a9bb6b \
+                rmd160 d402f7b4eef1b169e1d49810987e79314a572d29
 
 depends_lib     port:mecab
 
Index: textproc/mecab-ipadic-sjis/Portfile
===================================================================
--- textproc/mecab-ipadic-sjis/Portfile	(revision 300)
+++ textproc/mecab-ipadic-sjis/Portfile	(revision 308)
@@ -2,7 +2,7 @@
 
 PortSystem      1.0
 name            mecab-ipadic-sjis
-version         2.7.0-20060707
+version         2.7.0-20070610
 categories      textproc japanese
 maintainers     rsky0711@gmail.com
 platforms       darwin
@@ -14,9 +14,9 @@
 worksrcdir      mecab-ipadic-${version}
 set dicdir      ipadic-sjis
 master_sites    sourceforge:mecab
-checksums       md5    45b9f822700ad4eceb6722d6edcc2a46 \
-                sha1   373be900f9be22957636acc54f120fea013f8818 \
-                rmd160 cf2f7ad97e50cae6d0a9e9f13bc9328aeab33304
+checksums       md5    948f283cfcafbd562317c79df147da68 \
+                sha1   a79897d494b0dea4bc08d1da36134d9098a9bb6b \
+                rmd160 d402f7b4eef1b169e1d49810987e79314a572d29
 
 depends_lib     port:mecab
 
Index: textproc/mecab/Portfile
===================================================================
--- textproc/mecab/Portfile	(revision 300)
+++ textproc/mecab/Portfile	(revision 308)
@@ -2,7 +2,7 @@
 
 PortSystem      1.0
 name            mecab
-version         0.95
+version         0.96
 categories      textproc japanese
 maintainers     rsky0711@gmail.com
 platforms       darwin
@@ -11,7 +11,7 @@
 homepage        http://mecab.sourceforge.net/
 
 set dic_name    mecab-ipadic
-set dic_version 2.7.0-20060707
+set dic_version 2.7.0-20070610
 set dictionary  ${dic_name}-${dic_version}
 set charset     euc-jp
 
@@ -20,13 +20,13 @@
 master_sites    sourceforge:mecab
 checksums \
         ${distname}${extract.suffix} \
-                md5    043418ea1a36b4d4720d2711ba7c0e36 \
-                sha1   676af69b652393e3fdbb58ddf99b9aae13a87c4a \
-                rmd160 bd8393ddae802fc98a999dd68f25564e8317f5c0 \
+                md5    baf018d9eae158571613d6918392fc17 \
+                sha1   a9dc9b0dd25287ee81fd16dc09066c3640e2ed11 \
+                rmd160 8032ff1cea3ee8201d4f32d540e45b277e8846e8 \
         ${dictionary}${extract.suffix} \
-                md5    45b9f822700ad4eceb6722d6edcc2a46 \
-                sha1   373be900f9be22957636acc54f120fea013f8818 \
-                rmd160 cf2f7ad97e50cae6d0a9e9f13bc9328aeab33304
+                md5    948f283cfcafbd562317c79df147da68 \
+                sha1   a79897d494b0dea4bc08d1da36134d9098a9bb6b \
+                rmd160 d402f7b4eef1b169e1d49810987e79314a572d29
 
 depends_lib     port:libiconv
 
@@ -60,18 +60,18 @@
 
 platform darwin 8 {
     configure.env-append    MACOSX_DEPLOYMENT_TARGET=10.4 \
-                            CC=/usr/bin/gcc-4.0 CXX=/usr/bin/g++-4.0
+                            CC=/usr/bin/gcc-4.0 CPP=/usr/bin/cpp-4.0 CXX=/usr/bin/g++-4.0
 }
 
-variant sjis conflicts utf8 utf8only {
+variant sjis conflicts utf8 utf8only description {Set default dictionary encoding to Shift_JIS (default is EUC-JP)} {
     set charset shift_jis
 }
 
-variant utf8 conflicts sjis utf8only {
+variant utf8 conflicts sjis utf8only description {Set default dictionary encoding to UTF-8 (default is EUC-JP)} {
     set charset utf-8
 }
 
-variant utf8only conflicts sjis utf8 {
+variant utf8only conflicts sjis utf8 description {Set default dictionary encoding to UTF-8 and build to UTF-8 only} {
     set charset utf-8
     configure.args-append   --enable-utf8-only
 }