Index: textproc/mecab-ipadic-eucjp/files/patch-Makefile.in
===================================================================
--- textproc/mecab-ipadic-eucjp/files/patch-Makefile.in	(revision 0)
+++ textproc/mecab-ipadic-eucjp/files/patch-Makefile.in	(revision 307)
@@ -0,0 +1,11 @@
+--- Makefile.in.orig	2007-06-10 20:16:38.000000000 +0900
++++ Makefile.in	2007-06-10 22:08:15.000000000 +0900
+@@ -250,7 +250,7 @@
+ 
+ 
+ @MECAB_GENDATA@:
+-	$(mecab_dict_index) -d . -o . -f EUC-JP -t @CHARSET@
++	$(mecab_dict_index) -d . -o . -p -f EUC-JP -t @CHARSET@
+ 	echo To enable dictionary, rewrite @MECAB_MECABRC@ as \"dicrc = @MECAB_DICDIR@\"
+ 
+ rpm: dist
Index: textproc/mecab-ipadic-eucjp/Portfile
===================================================================
--- textproc/mecab-ipadic-eucjp/Portfile	(revision 300)
+++ textproc/mecab-ipadic-eucjp/Portfile	(revision 307)
@@ -2,7 +2,7 @@
 
 PortSystem      1.0
 name            mecab-ipadic-eucjp
-version         2.7.0-20060707
+version         2.7.0-20070610
 categories      textproc japanese
 maintainers     rsky0711@gmail.com
 platforms       darwin
@@ -14,12 +14,14 @@
 worksrcdir      mecab-ipadic-${version}
 set dicdir      ipadic-eucjp
 master_sites    sourceforge:mecab
-checksums       md5    45b9f822700ad4eceb6722d6edcc2a46 \
-                sha1   373be900f9be22957636acc54f120fea013f8818 \
-                rmd160 cf2f7ad97e50cae6d0a9e9f13bc9328aeab33304
+checksums       md5    948f283cfcafbd562317c79df147da68 \
+                sha1   a79897d494b0dea4bc08d1da36134d9098a9bb6b \
+                rmd160 d402f7b4eef1b169e1d49810987e79314a572d29
 
 depends_lib     port:mecab
 
+patchfiles      patch-Makefile.in
+
 configure.args  --with-mecab-config=${prefix}/bin/mecab-config \
                 --with-charset=euc-jp \
                 --with-dicdir=${prefix}/lib/mecab/dic/${dicdir}
Index: textproc/mecab-ipadic-utf8/files/patch-Makefile.in
===================================================================
--- textproc/mecab-ipadic-utf8/files/patch-Makefile.in	(revision 0)
+++ textproc/mecab-ipadic-utf8/files/patch-Makefile.in	(revision 307)
@@ -0,0 +1,11 @@
+--- Makefile.in.orig	2007-06-10 20:16:38.000000000 +0900
++++ Makefile.in	2007-06-10 22:08:15.000000000 +0900
+@@ -250,7 +250,7 @@
+ 
+ 
+ @MECAB_GENDATA@:
+-	$(mecab_dict_index) -d . -o . -f EUC-JP -t @CHARSET@
++	$(mecab_dict_index) -d . -o . -p -f EUC-JP -t @CHARSET@
+ 	echo To enable dictionary, rewrite @MECAB_MECABRC@ as \"dicrc = @MECAB_DICDIR@\"
+ 
+ rpm: dist
Index: textproc/mecab-ipadic-utf8/Portfile
===================================================================
--- textproc/mecab-ipadic-utf8/Portfile	(revision 300)
+++ textproc/mecab-ipadic-utf8/Portfile	(revision 307)
@@ -2,8 +2,7 @@
 
 PortSystem      1.0
 name            mecab-ipadic-utf8
-version         2.7.0-20060707
-revision        1
+version         2.7.0-20070610
 categories      textproc japanese
 maintainers     rsky0711@gmail.com
 platforms       darwin
@@ -15,12 +14,14 @@
 worksrcdir      mecab-ipadic-${version}
 set dicdir      ipadic-utf8
 master_sites    sourceforge:mecab
-checksums       md5    45b9f822700ad4eceb6722d6edcc2a46 \
-                sha1   373be900f9be22957636acc54f120fea013f8818 \
-                rmd160 cf2f7ad97e50cae6d0a9e9f13bc9328aeab33304
+checksums       md5    948f283cfcafbd562317c79df147da68 \
+                sha1   a79897d494b0dea4bc08d1da36134d9098a9bb6b \
+                rmd160 d402f7b4eef1b169e1d49810987e79314a572d29
 
 depends_lib     port:mecab
 
+patchfiles      patch-Makefile.in
+
 configure.args  --with-mecab-config=${prefix}/bin/mecab-config \
                 --with-charset=utf-8 \
                 --with-dicdir=${prefix}/lib/mecab/dic/${dicdir}
Index: textproc/mecab-ipadic-sjis/files/patch-Makefile.in
===================================================================
--- textproc/mecab-ipadic-sjis/files/patch-Makefile.in	(revision 0)
+++ textproc/mecab-ipadic-sjis/files/patch-Makefile.in	(revision 307)
@@ -0,0 +1,11 @@
+--- Makefile.in.orig	2007-06-10 20:16:38.000000000 +0900
++++ Makefile.in	2007-06-10 22:08:15.000000000 +0900
+@@ -250,7 +250,7 @@
+ 
+ 
+ @MECAB_GENDATA@:
+-	$(mecab_dict_index) -d . -o . -f EUC-JP -t @CHARSET@
++	$(mecab_dict_index) -d . -o . -p -f EUC-JP -t @CHARSET@
+ 	echo To enable dictionary, rewrite @MECAB_MECABRC@ as \"dicrc = @MECAB_DICDIR@\"
+ 
+ rpm: dist
Index: textproc/mecab-ipadic-sjis/Portfile
===================================================================
--- textproc/mecab-ipadic-sjis/Portfile	(revision 300)
+++ textproc/mecab-ipadic-sjis/Portfile	(revision 307)
@@ -2,7 +2,7 @@
 
 PortSystem      1.0
 name            mecab-ipadic-sjis
-version         2.7.0-20060707
+version         2.7.0-20070610
 categories      textproc japanese
 maintainers     rsky0711@gmail.com
 platforms       darwin
@@ -14,12 +14,14 @@
 worksrcdir      mecab-ipadic-${version}
 set dicdir      ipadic-sjis
 master_sites    sourceforge:mecab
-checksums       md5    45b9f822700ad4eceb6722d6edcc2a46 \
-                sha1   373be900f9be22957636acc54f120fea013f8818 \
-                rmd160 cf2f7ad97e50cae6d0a9e9f13bc9328aeab33304
+checksums       md5    948f283cfcafbd562317c79df147da68 \
+                sha1   a79897d494b0dea4bc08d1da36134d9098a9bb6b \
+                rmd160 d402f7b4eef1b169e1d49810987e79314a572d29
 
 depends_lib     port:mecab
 
+patchfiles      patch-Makefile.in
+
 configure.args  --with-mecab-config=${prefix}/bin/mecab-config \
                 --with-charset=shift_jis \
                 --with-dicdir=${prefix}/lib/mecab/dic/${dicdir}
Index: textproc/mecab/files/patch-ipadic-Makefile.in
===================================================================
--- textproc/mecab/files/patch-ipadic-Makefile.in	(revision 0)
+++ textproc/mecab/files/patch-ipadic-Makefile.in	(revision 307)
@@ -0,0 +1,11 @@
+--- Makefile.in.orig	2007-06-10 20:16:38.000000000 +0900
++++ Makefile.in	2007-06-10 22:08:15.000000000 +0900
+@@ -250,7 +250,7 @@
+ 
+ 
+ @MECAB_GENDATA@:
+-	$(mecab_dict_index) -d . -o . -f EUC-JP -t @CHARSET@
++	$(mecab_dict_index) -d . -o . -p -f EUC-JP -t @CHARSET@
+ 	echo To enable dictionary, rewrite @MECAB_MECABRC@ as \"dicrc = @MECAB_DICDIR@\"
+ 
+ rpm: dist
Index: textproc/mecab/Portfile
===================================================================
--- textproc/mecab/Portfile	(revision 300)
+++ textproc/mecab/Portfile	(revision 307)
@@ -3,6 +3,7 @@
 PortSystem      1.0
 name            mecab
 version         0.95
+revision        1
 categories      textproc japanese
 maintainers     rsky0711@gmail.com
 platforms       darwin
@@ -11,7 +12,7 @@
 homepage        http://mecab.sourceforge.net/
 
 set dic_name    mecab-ipadic
-set dic_version 2.7.0-20060707
+set dic_version 2.7.0-20070610
 set dictionary  ${dic_name}-${dic_version}
 set charset     euc-jp
 
@@ -24,9 +25,9 @@
                 sha1   676af69b652393e3fdbb58ddf99b9aae13a87c4a \
                 rmd160 bd8393ddae802fc98a999dd68f25564e8317f5c0 \
         ${dictionary}${extract.suffix} \
-                md5    45b9f822700ad4eceb6722d6edcc2a46 \
-                sha1   373be900f9be22957636acc54f120fea013f8818 \
-                rmd160 cf2f7ad97e50cae6d0a9e9f13bc9328aeab33304
+                md5    948f283cfcafbd562317c79df147da68 \
+                sha1   a79897d494b0dea4bc08d1da36134d9098a9bb6b \
+                rmd160 d402f7b4eef1b169e1d49810987e79314a572d29
 
 depends_lib     port:libiconv
 
@@ -43,6 +44,7 @@
 
 post-destroot {
     system "cd ${workpath}/${dictionary}; \
+        patch < ${portpath}/${filesdir}/patch-ipadic-Makefile.in; \
         ./configure \
             --with-mecab-config=${destroot}${prefix}/bin/mecab-config \
             --with-charset=${charset} && \
@@ -60,18 +62,18 @@
 
 platform darwin 8 {
     configure.env-append    MACOSX_DEPLOYMENT_TARGET=10.4 \
-                            CC=/usr/bin/gcc-4.0 CXX=/usr/bin/g++-4.0
+                            CC=/usr/bin/gcc-4.0 CPP=/usr/bin/cpp-4.0 CXX=/usr/bin/g++-4.0
 }
 
-variant sjis conflicts utf8 utf8only {
+variant sjis conflicts utf8 utf8only description {Set default dictionary encoding to Shift_JIS (default is EUC-JP)} {
     set charset shift_jis
 }
 
-variant utf8 conflicts sjis utf8only {
+variant utf8 conflicts sjis utf8only description {Set default dictionary encoding to UTF-8 (default is EUC-JP)} {
     set charset utf-8
 }
 
-variant utf8only conflicts sjis utf8 {
+variant utf8only conflicts sjis utf8 description {Set default dictionary encoding to UTF-8 and build to UTF-8 only} {
     set charset utf-8
     configure.args-append   --enable-utf8-only
 }