Index: lang/perl5.8/files/patch-perl.c
===================================================================
--- lang/perl5.8/files/patch-perl.c	(révision 0)
+++ lang/perl5.8/files/patch-perl.c	(révision 0)
@@ -0,0 +1,73 @@
+Revert the order of @INC from PRIV SITE VENDOR to SITE VENDOR PRIV.
+
+--- perl.c.orig	2007-10-20 19:21:12.000000000 +0200
++++ perl.c	2007-10-20 19:40:47.000000000 +0200
+@@ -4770,45 +4770,12 @@
+     }
+ 
+ /* Use the ~-expanded versions of APPLLIB (undocumented),
+-    ARCHLIB PRIVLIB SITEARCH SITELIB VENDORARCH and VENDORLIB
++    SITEARCH SITELIB VENDORARCH VENDORLIB ARCHLIB and PRIVLIB
+ */
+ #ifdef APPLLIB_EXP
+     incpush(APPLLIB_EXP, TRUE, TRUE, TRUE);
+ #endif
+ 
+-#ifdef ARCHLIB_EXP
+-    incpush(ARCHLIB_EXP, FALSE, FALSE, TRUE);
+-#endif
+-#ifdef MACOS_TRADITIONAL
+-    {
+-	Stat_t tmpstatbuf;
+-    	SV * privdir = NEWSV(55, 0);
+-	char * macperl = PerlEnv_getenv("MACPERL");
+-	
+-	if (!macperl)
+-	    macperl = "";
+-	
+-	Perl_sv_setpvf(aTHX_ privdir, "%slib:", macperl);
+-	if (PerlLIO_stat(SvPVX(privdir), &tmpstatbuf) >= 0 && S_ISDIR(tmpstatbuf.st_mode))
+-	    incpush(SvPVX(privdir), TRUE, FALSE, TRUE);
+-	Perl_sv_setpvf(aTHX_ privdir, "%ssite_perl:", macperl);
+-	if (PerlLIO_stat(SvPVX(privdir), &tmpstatbuf) >= 0 && S_ISDIR(tmpstatbuf.st_mode))
+-	    incpush(SvPVX(privdir), TRUE, FALSE, TRUE);
+-	
+-   	SvREFCNT_dec(privdir);
+-    }
+-    if (!PL_tainting)
+-	incpush(":", FALSE, FALSE, TRUE);
+-#else
+-#ifndef PRIVLIB_EXP
+-#  define PRIVLIB_EXP "/usr/local/lib/perl5:/usr/local/lib/perl"
+-#endif
+-#if defined(WIN32)
+-    incpush(PRIVLIB_EXP, TRUE, FALSE, TRUE);
+-#else
+-    incpush(PRIVLIB_EXP, FALSE, FALSE, TRUE);
+-#endif
+-
+ #ifdef SITEARCH_EXP
+     /* sitearch is always relative to sitelib on Windows for
+      * DLL-based path intuition to work correctly */
+@@ -4854,9 +4821,20 @@
+     incpush(PERL_OTHERLIBDIRS, TRUE, TRUE, TRUE);
+ #endif
+ 
++#ifdef ARCHLIB_EXP
++    incpush(ARCHLIB_EXP, FALSE, FALSE, TRUE);
++#endif
++#ifndef PRIVLIB_EXP
++#  define PRIVLIB_EXP "/usr/local/lib/perl5:/usr/local/lib/perl"
++#endif
++#if defined(WIN32)
++    incpush(PRIVLIB_EXP, TRUE, FALSE, TRUE);
++#else
++    incpush(PRIVLIB_EXP, FALSE, FALSE, TRUE);
++#endif
++
+     if (!PL_tainting)
+ 	incpush(".", FALSE, FALSE, TRUE);
+-#endif /* MACOS_TRADITIONAL */
+ }
+ 
+ #if defined(DOSISH) || defined(EPOC) || defined(SYMBIAN)
Index: lang/perl5.8/Portfile
===================================================================
--- lang/perl5.8/Portfile	(révision 30117)
+++ lang/perl5.8/Portfile	(copie de travail)
@@ -4,9 +4,10 @@
 
 name            perl5.8
 version         5.8.8
+revision        1
 categories      lang
-platforms		darwin freebsd linux
-maintainers     nomaintainer
+platforms       darwin freebsd linux
+maintainers     nox
 description     Perl 5.8.x - Practical Extraction and Report Language
 
 long_description \
@@ -24,42 +25,39 @@
                 sha1 4aab490040727ca4419098720eca2ba4367df539 \
                 rmd160 e78f26d9b96e6db35f946ad4ff55e3a69385c71b
 
+patchfiles      patch-perl.c
+
 platform darwin {
     patchfiles-append   patch-hints_darwin.sh
 
     pre-configure {
-        reinplace "s|ld=\"MACOSX_DEPLOYMENT_TARGET=10.3|ld=\"env MACOSX_DEPLOYMENT_TARGET=10.3|g" "${worksrcpath}/hints/darwin.sh"
+        reinplace -E "s|ld=\"(MACOSX_DEPLOYMENT_TARGET)|ld=\"env \\1|" ${worksrcpath}/hints/darwin.sh
     }
 }
 
-configure.env       LC_ALL=C
-configure.cmd       sh Configure
-configure.pre_args  
-configure.post_args -des -Dprefix='${prefix}' -Dccflags="-I'${prefix}/include'"\
-                    -Dldflags=-L'${prefix}/lib' \
-                    -Dvendorprefix='${prefix}'
+configure.env-append    LC_ALL=C
+configure.cmd           ./configure.gnu
+configure.args          -Dvendorprefix=${prefix} \
+                        -Dusethreads \
+                        -Duseshrplib
 
 test.run            yes
 
 post-destroot {
     foreach man3File [glob ${destroot}/${prefix}/share/man/man3/*] {
-        file rename ${man3File} ${man3File}pm
+        move ${man3File} ${man3File}pm
     }
 }
 
-variant threads {
-    configure.args-append   -Dusethreads
-}
+platform darwin 8 {
+    configure.compiler  gcc-4.0
 
-variant shared {
-    configure.args-append   -Duseshrplib
+    post-patch {
+        reinplace -E "/MACOSX_DEPLOYMENT_TARGET/s/10\\.3/10.4/" ${worksrcpath}/hints/darwin.sh
+    }
 }
 
-platform darwin 8 {
-    configure.post_args-append  -Dcc=/usr/bin/gcc-4.0
-}
-
 livecheck.check regex
 livecheck.url   ${master_sites}
-livecheck.regex latest_is_(\\d+(?:\\.\\d+)*)
+livecheck.regex {latest_is_(\d+(?:\.\d+)*)}
 
Index: perl/p5-getopt-long/Portfile
===================================================================
--- perl/p5-getopt-long/Portfile	(révision 30117)
+++ perl/p5-getopt-long/Portfile	(copie de travail)
@@ -4,6 +4,7 @@
 PortGroup       perl5 1.0
 
 perl5.setup     Getopt-Long 2.37
+revision        1
 maintainers     nox openmaintainer
 categories-append   devel
 platforms       darwin
@@ -24,14 +25,3 @@
 
 depends_lib-append     port:p5-pathtools
 
-# Perl searches vendor location last, so this won't
-# override the older version included with perl
-# if we install it in the vendor location
-set perl5.lib   ${prefix}/lib/perl5/${perl5.version}
-
-configure.args  
-
-post-destroot {
-    ui_msg "You must install or activate this package with '-f' (force) as it needs to overwrite files installed by the perl5.8 port"
-}
-
Index: perl/p5-pathtools/Portfile
===================================================================
--- perl/p5-pathtools/Portfile	(révision 30117)
+++ perl/p5-pathtools/Portfile	(copie de travail)
@@ -4,6 +4,7 @@
 PortGroup       perl5 1.0
 
 perl5.setup     PathTools 3.25 ../../authors/id/K/KW/KWILLIAMS/
+revision        1
 platforms       darwin
 maintainers		geeklair.net:dluke openmaintainer
 description		PathTools contains path building and modification classes.
@@ -11,20 +12,8 @@
 long_description	$description
 
 homepage        http://search.cpan.org/dist/${perl5.module}/
-#master_sites    http://search.cpan.org/CPAN/authors/id/K/KW/KWILLIAMS/
 
 checksums       md5 242b8a6355927625f57048f6c59577ca \
                 sha1 cbaf1a5aab6f7d50adbd00046010ae7e51e033ba \
                 rmd160 d14b9bb83b361a91a22560141b4b2753cf5804d0
 
-# Perl searches vendor location last, so this won't
-# override the older version included with perl
-# if we install it in the vendor location
-set perl5.lib   ${prefix}/lib/perl5/${perl5.version}
-
-configure.args  
-
-post-destroot {
-    ui_msg "You must install or activate this package with '-f' (force) as it needs to overwrite files installed by the perl5.8 port"
-}
-
Index: perl/p5-test-harness/Portfile
===================================================================
--- perl/p5-test-harness/Portfile	(révision 30117)
+++ perl/p5-test-harness/Portfile	(copie de travail)
@@ -4,8 +4,8 @@
 PortGroup       perl5 1.0
 
 perl5.setup     Test-Harness 2.64
-revision        1
-platforms		darwin
+revision        2
+platforms       darwin
 maintainers     nomaintainer
 description     Run perl standard test scripts with statistics.
 
@@ -18,17 +18,6 @@
                 sha1 65a5442500926f9ef00f9aadbacc2e30377074d8 \
                 rmd160 2ce9ed32114b545344ca517f3ba1dfeb0293d82d
 
-# Perl searches vendor location last, so this won't
-# override the older version included with perl
-# if we install it in the vendor location
-set perl5.lib   ${prefix}/lib/perl5/${perl5.version}
-
-configure.args  
-
-post-destroot {
-    ui_msg "You must install or activate this package with '-f' (force) as it needs to overwrite files installed by the perl5.8 port"
-}
-
 universal_variant   no
 
 livecheck.check regexm
Index: perl/p5-test-simple/Portfile
===================================================================
--- perl/p5-test-simple/Portfile	(révision 30117)
+++ perl/p5-test-simple/Portfile	(copie de travail)
@@ -4,6 +4,7 @@
 PortGroup           perl5 1.0
 
 perl5.setup         Test-Simple 0.72
+revision            1
 maintainers			sal@email.arc.nasa.gov
 description			Basic utilities for writing perl tests
 long_description	${description}
@@ -15,16 +16,5 @@
 
 depends_lib-append	port:p5-test-harness
 
-# Perl searches vendor location last, so this won't
-# override the older version included with perl
-# if we install it in the vendor location
-set perl5.lib   ${prefix}/lib/perl5/${perl5.version}
-
-configure.args  
-
-post-destroot {
-    ui_msg "You must install or activate this package with '-f' (force) as it needs to overwrite files installed by the perl5.8 port"
-}
-
 universal_variant   no
 