Index: Portfile
===================================================================
--- Portfile	(revision 30265)
+++ Portfile	(working copy)
@@ -3,7 +3,7 @@
 PortSystem          1.0
 
 name                MPlayer
-version             1.0rc1try3
+version             1.0rc2
 regsub -all "try." ${version} "" distversion
 categories          multimedia
 maintainers         ecronin@gizmolabs.org \
@@ -30,23 +30,13 @@
                     http://www1.mplayerhq.hu/MPlayer/releases/codecs/:codecs \
                     http://www2.mplayerhq.hu/MPlayer/releases/codecs/:codecs
 patch_sites         http://www.mplayerhq.hu/MPlayer/patches/
-patchfiles          asmrules_fix_20061231.diff \
-                    cddb_fix_20070605.diff
 distname            ${name}-${distversion}
 use_bzip2           yes
 
 checksums           ${distname}${extract.suffix} \
-                        md5 18c05d88e22c3b815a43ca8d7152ccdc \
-                        sha1 a450c0b0749c343a8496ba7810363c9d46dfa73c \
-                        rmd160 8cea02e832aec5d9e090829d61d0f131dcc177a2 \
-                    asmrules_fix_20061231.diff \
-                        md5 f0b71c38b1207c1d604be091876ac051 \
-                        sha1 84412f4bd85d64a92586ca4db7e8585d16cd1acd \
-                        rmd160 370877b45b314c9deb2d89739f8067a4a77c0844 \
-                    cddb_fix_20070605.diff \
-                        md5 bd8a233ea31c6686a956387ad28c5c5c \
-                        sha1 4ed701ae65ede2f3510668be85d1efb093dc1f3c \
-                        rmd160 0bf83ef398927ef28b5bf4287f1a1e9bb3bd4454
+                        md5 7e27e535c2d267637df34898f1b91707 \
+                        sha1 e9b496f3527c552004ec6d01d6b43f196b43ce2d \
+                        rmd160 3b5cba1529856a177a5191e22f8dcc00b5a83c52 \
 
 livecheck.check     regex
 livecheck.url       http://www1.mplayerhq.hu/MPlayer/releases/
@@ -57,12 +47,6 @@
                     port:libvorbis port:lzo2 port:ncurses port:zlib
 depends_build       port:pkgconfig
 
-post-patch {
-  reinplace "s|-llzo|-llzo2|g" ${worksrcpath}/configure
-  reinplace "s|#include <lzo1x.h>|#include <lzoutil.h>\\\n#include <lzo1x.h>|g"\
-  ${worksrcpath}/libmpcodecs/vd_lzo.c
-}
-
 # MPlayer's ./configure REALLY does not want you to use ENV for this
 configure.cflags    {}
 configure.cxxflags  {}
@@ -77,7 +61,8 @@
                     --mandir=${prefix}/share/man \
                     --enable-png --enable-jpeg \
                     --enable-liblzo --enable-libvorbis \
-                    --enable-mad --enable-mpdvdkit \
+                    --enable-mad --enable-libdvdcss-internal \
+                    --enable-dvdread-internal \
                     --disable-faad-external --enable-largefiles
 
 # MPlayer autodetects many support libs.  To prevent undeclared
@@ -85,15 +70,14 @@
 # Later, let autodetect do its magic not explicit --enable
 configure.args-append \
                     --disable-smb --disable-live --disable-dvdnav \
-                    --disable-dvdread \
                     --disable-cdparanoia --disable-freetype \
                     --disable-fontconfig --disable-unrarlib \
                     --disable-fribidi --disable-enca \
                     --disable-libcdio --disable-xvid \
-                    --disable-x264 --disable-nut --disable-libfame \
+                    --disable-x264 --disable-libnut \
                     --disable-speex --disable-theora --disable-faac \
                     --disable-ladspa --disable-libdv --disable-toolame \
-                    --disable-twolame --disable-xmms --disable-libdts \
+                    --disable-twolame --disable-xmms \
                     --disable-musepack --disable-sdl --disable-aa \
                     --disable-caca --disable-x11 --disable-arts \
                     --disable-esd --disable-lirc
@@ -145,8 +129,8 @@
 
 variant nodvd \
     description {Disable DVD and DeCSS support} {
-    configure.args-delete   --enable-mpdvdkit
-    configure.args-append   --disable-mpdvdkit
+    configure.args-delete   --enable-dvdread-internal --enable-libdvdcss-internal
+    configure.args-append   --disable-dvdread-internal --disable-libdvdcss-internal
 }
 
 variant smb \
@@ -218,7 +202,7 @@
             system "unzip -q ${distpath}/${mplayercodecsfile}"
         }
 
-        configure.args-append   --with-codecsdir=${prefix}/share/${name}/codecs
+        configure.args-append   --codecsdir=${prefix}/share/${name}/codecs
 
         post-destroot {
             xinstall -m 755 -d ${destroot}${prefix}/share/${name}/codecs