Index: fuse/sshfs/Portfile
===================================================================
--- fuse/sshfs/Portfile	(revision 30574)
+++ fuse/sshfs/Portfile	(working copy)
@@ -3,8 +3,9 @@
 PortSystem 1.0
 
 name                sshfs
-version             1.7
-revision            5
+version             1.8
+revision            2
+set macfuse_version 1.1
 categories          fuse
 platforms           darwin
 maintainers         eridius@macports.org
@@ -21,21 +22,27 @@
 
 distname            sshfs-fuse-${version}
 master_sites        sourceforge:fuse
-checksums           ${distfiles} md5 e91a2fed1da952a375798408dc6e41a0 \
-                                 sha1 c68fa99e9127b59141a5ac5babec39d5bb541141
+checksums           ${distfiles} md5 3c575cf89a6d3d8ab6063c2f60bd5b25 \
+                                 sha1 ab1df8d8b2a601bc22959a14e95e57fae5fc3787
 
 livecheck.distname  sshfs-fuse
 
-depends_lib         port:glib2 port:libfuse port:pkgconfig
+depends_lib         port:gettext \
+                    port:glib2 \
+                    port:libfuse \
+                    port:libiconv \
+                    port:pkgconfig
 
-configure.cflags-append    -DSSH_NODELAY_WORKAROUND
+configure.cflags-append    "-D__FreeBSD__=10 -DDARWIN_SEMAPHORE_COMPAT -DSSH_NODELAY_WORKAROUND -D_POSIX_C_SOURCE=200112L"
+configure.ldflags-append    "-framework CoreFoundation"
+configure.post_args-append --disable-dependency-tracking
 
 platform darwin {
     depends_run         port:fusefs
-    patch_sites         http://macfuse.googlecode.com/svn/tags/macfuse-0.4.0/filesystems/sshfs
-    patchfiles          sshfs-fuse-1.7-macosx.patch
-    checksums-append    sshfs-fuse-1.7-macosx.patch md5 4efb4c2d6cc862ca3fb9b5f77aafc744 \
-                                                    sha1 242e0a8136e48ed6b4b24495c1164f33f19d669a
+    patch_sites         http://macfuse.googlecode.com/svn/tags/macfuse-${macfuse_version}/filesystems/sshfs
+    patchfiles          sshfs-fuse-${version}-macosx.patch
+    checksums-append    sshfs-fuse-${version}-macosx.patch md5 5d3cec641c22e89dd840c6bbc3af89d4 \
+                                                           sha1 79f058e0ae4b90ec09d50ab39401773d146bdf95
     
     # override patch.pre_args since it defaults to -p0
     patch.pre_args -p1
Index: fuse/sshfs-gui/files/patch-sshfs.xcodeproj_project.pbxproj.diff
===================================================================
--- fuse/sshfs-gui/files/patch-sshfs.xcodeproj_project.pbxproj.diff	(revision 0)
+++ fuse/sshfs-gui/files/patch-sshfs.xcodeproj_project.pbxproj.diff	(revision 0)
@@ -0,0 +1,68 @@
+--- ./sshfs.xcodeproj/project.pbxproj.orig	2007-10-27 09:54:51.000000000 +0900
++++ ./sshfs.xcodeproj/project.pbxproj	2007-11-07 09:39:36.000000000 +0900
+@@ -8,8 +8,6 @@
+ 
+ /* Begin PBXBuildFile section */
+ 		54B5A1AC0CD2BC7B00158571 /* GoogleShared_SystemVersion.m in Sources */ = {isa = PBXBuildFile; fileRef = 54B5A1AB0CD2BC7B00158571 /* GoogleShared_SystemVersion.m */; };
+-		54B5A1C50CD2BF3B00158571 /* sshfs-static-10.5 in Resources */ = {isa = PBXBuildFile; fileRef = 54B5A1C40CD2BF3B00158571 /* sshfs-static-10.5 */; };
+-		8205AF7A0B653F3700A99579 /* sshfs-static in Resources */ = {isa = PBXBuildFile; fileRef = 8205AF790B653F3700A99579 /* sshfs-static */; };
+ 		823578210B44701F00FE77BB /* ssh.icns in Resources */ = {isa = PBXBuildFile; fileRef = 823578200B44701F00FE77BB /* ssh.icns */; };
+ 		8235784C0B44782400FE77BB /* askpass.c in Sources */ = {isa = PBXBuildFile; fileRef = 8235784B0B44782400FE77BB /* askpass.c */; };
+ 		823578540B44786400FE77BB /* CoreFoundation.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 823578530B44786400FE77BB /* CoreFoundation.framework */; };
+@@ -45,8 +43,6 @@
+ 		32CA4F630368D1EE00C91783 /* sshfs.pch */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = sshfs.pch; sourceTree = "<group>"; };
+ 		54B5A1AA0CD2BC7B00158571 /* GoogleShared_SystemVersion.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = GoogleShared_SystemVersion.h; sourceTree = "<group>"; };
+ 		54B5A1AB0CD2BC7B00158571 /* GoogleShared_SystemVersion.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = GoogleShared_SystemVersion.m; sourceTree = "<group>"; };
+-		54B5A1C40CD2BF3B00158571 /* sshfs-static-10.5 */ = {isa = PBXFileReference; lastKnownFileType = "compiled.mach-o.executable"; name = "sshfs-static-10.5"; path = "Resources/sshfs-static-10.5"; sourceTree = "<group>"; };
+-		8205AF790B653F3700A99579 /* sshfs-static */ = {isa = PBXFileReference; lastKnownFileType = "compiled.mach-o.executable"; name = "sshfs-static"; path = "Resources/sshfs-static"; sourceTree = "<group>"; };
+ 		823578200B44701F00FE77BB /* ssh.icns */ = {isa = PBXFileReference; lastKnownFileType = image.icns; name = ssh.icns; path = Resources/ssh.icns; sourceTree = "<group>"; };
+ 		823578420B4477D800FE77BB /* askpass */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = askpass; sourceTree = BUILT_PRODUCTS_DIR; };
+ 		8235784B0B44782400FE77BB /* askpass.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; path = askpass.c; sourceTree = "<group>"; };
+@@ -115,13 +111,11 @@
+ 		29B97317FDCFA39411CA2CEA /* Resources */ = {
+ 			isa = PBXGroup;
+ 			children = (
+-				54B5A1C40CD2BF3B00158571 /* sshfs-static-10.5 */,
+ 				D4A6C9A709479AD300354625 /* Info.plist */,
+ 				D4A6C9B709479B9200354625 /* InfoPlist.strings */,
+ 				8249C9140B547465007CFB64 /* Localizable.strings */,
+ 				D4A6C9DF09479C8900354625 /* MainMenu.nib */,
+ 				823578200B44701F00FE77BB /* ssh.icns */,
+-				8205AF790B653F3700A99579 /* sshfs-static */,
+ 				82743E560BD7CE2D006FB711 /* sshnodelay.so */,
+ 				8235791D0B4481C700FE77BB /* askpass */,
+ 			);
+@@ -197,7 +191,6 @@
+ 				823578500B44782F00FE77BB /* PBXTargetDependency */,
+ 			);
+ 			name = sshfs;
+-			productInstallPath = "$(HOME)/Applications";
+ 			productName = sshfs;
+ 			productReference = 8D1107320486CEB800E47090 /* sshfs.app */;
+ 			productType = "com.apple.product-type.application";
+@@ -230,9 +223,7 @@
+ 				823578210B44701F00FE77BB /* ssh.icns in Resources */,
+ 				8235791E0B4481C700FE77BB /* askpass in Resources */,
+ 				8249C9150B547465007CFB64 /* Localizable.strings in Resources */,
+-				8205AF7A0B653F3700A99579 /* sshfs-static in Resources */,
+ 				82743E570BD7CE2D006FB711 /* sshnodelay.so in Resources */,
+-				54B5A1C50CD2BF3B00158571 /* sshfs-static-10.5 in Resources */,
+ 			);
+ 			runOnlyForDeploymentPostprocessing = 0;
+ 		};
+@@ -307,7 +298,6 @@
+ 				GCC_OPTIMIZATION_LEVEL = 0;
+ 				GCC_PRECOMPILE_PREFIX_HEADER = YES;
+ 				GCC_PREFIX_HEADER = "$(SYSTEM_LIBRARY_DIR)/Frameworks/Carbon.framework/Headers/Carbon.h";
+-				INSTALL_PATH = "$(HOME)/bin";
+ 				OTHER_LDFLAGS = (
+ 					"-framework",
+ 					Carbon,
+@@ -327,7 +317,6 @@
+ 				GCC_MODEL_TUNING = G5;
+ 				GCC_PRECOMPILE_PREFIX_HEADER = YES;
+ 				GCC_PREFIX_HEADER = "$(SYSTEM_LIBRARY_DIR)/Frameworks/Carbon.framework/Headers/Carbon.h";
+-				INSTALL_PATH = "$(HOME)/bin";
+ 				OTHER_LDFLAGS = (
+ 					"-framework",
+ 					Carbon,
Index: fuse/sshfs-gui/files/patch-AppController.m.diff
===================================================================
--- fuse/sshfs-gui/files/patch-AppController.m.diff	(revision 0)
+++ fuse/sshfs-gui/files/patch-AppController.m.diff	(revision 0)
@@ -0,0 +1,15 @@
+--- ./AppController.m.old	2007-11-07 05:15:32.000000000 +0900
++++ ./AppController.m	2007-11-07 08:24:25.000000000 +0900
+@@ -76,11 +76,7 @@
+   // setup for task
+   NSString *askPassPath = [[NSBundle mainBundle] pathForResource:@"askpass"
+                                                           ofType:@""];
+-  NSString *sshfsPath = [[NSBundle mainBundle] pathForResource:@"sshfs-static"
+-                                                        ofType:@""];
+-  if ([GoogleShared_SystemVersion isLeopard]) {
+-      sshfsPath = [sshfsPath stringByAppendingString:@"-10.5"];
+-  }
++  NSString *sshfsPath = @"##PREFIX##/bin/sshfs";
+   NSDictionary *sshfsEnv = [NSDictionary dictionaryWithObjectsAndKeys:
+     @"NONE", @"DISPLAY", // I know "NONE" is bogus; I just need something
+     askPassPath, @"SSH_ASKPASS",
Index: fuse/sshfs-gui/files/patch-project.pbxproj
===================================================================
--- fuse/sshfs-gui/files/patch-project.pbxproj	(revision 30574)
+++ fuse/sshfs-gui/files/patch-project.pbxproj	(working copy)
@@ -1,50 +0,0 @@
---- ../sshfs-gui.old/sshfs.xcodeproj/project.pbxproj	2007-04-23 18:37:41.000000000 -0400
-+++ sshfs.xcodeproj/project.pbxproj	2007-04-23 18:44:11.000000000 -0400
-@@ -7,7 +7,6 @@
- 	objects = {
- 
- /* Begin PBXBuildFile section */
--		8205AF7A0B653F3700A99579 /* sshfs-static in Resources */ = {isa = PBXBuildFile; fileRef = 8205AF790B653F3700A99579 /* sshfs-static */; };
- 		823578210B44701F00FE77BB /* ssh.icns in Resources */ = {isa = PBXBuildFile; fileRef = 823578200B44701F00FE77BB /* ssh.icns */; };
- 		8235784C0B44782400FE77BB /* askpass.c in Sources */ = {isa = PBXBuildFile; fileRef = 8235784B0B44782400FE77BB /* askpass.c */; };
- 		823578540B44786400FE77BB /* CoreFoundation.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 823578530B44786400FE77BB /* CoreFoundation.framework */; };
-@@ -41,7 +40,6 @@
- 		29B97316FDCFA39411CA2CEA /* sshfsMain.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = sshfsMain.m; sourceTree = "<group>"; };
- 		29B97325FDCFA39411CA2CEA /* Foundation.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = Foundation.framework; path = /System/Library/Frameworks/Foundation.framework; sourceTree = "<absolute>"; };
- 		32CA4F630368D1EE00C91783 /* sshfs.pch */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = sshfs.pch; sourceTree = "<group>"; };
--		8205AF790B653F3700A99579 /* sshfs-static */ = {isa = PBXFileReference; lastKnownFileType = "compiled.mach-o.executable"; name = "sshfs-static"; path = "Resources/sshfs-static"; sourceTree = "<group>"; };
- 		823578200B44701F00FE77BB /* ssh.icns */ = {isa = PBXFileReference; lastKnownFileType = image.icns; name = ssh.icns; path = Resources/ssh.icns; sourceTree = "<group>"; };
- 		823578420B4477D800FE77BB /* askpass */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = askpass; sourceTree = BUILT_PRODUCTS_DIR; };
- 		8235784B0B44782400FE77BB /* askpass.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; path = askpass.c; sourceTree = "<group>"; };
-@@ -115,7 +113,6 @@
- 				8249C9140B547465007CFB64 /* Localizable.strings */,
- 				D4A6C9DF09479C8900354625 /* MainMenu.nib */,
- 				823578200B44701F00FE77BB /* ssh.icns */,
--				8205AF790B653F3700A99579 /* sshfs-static */,
- 				82743E560BD7CE2D006FB711 /* sshnodelay.so */,
- 				8235791D0B4481C700FE77BB /* askpass */,
- 			);
-@@ -220,7 +217,6 @@
- 				823578210B44701F00FE77BB /* ssh.icns in Resources */,
- 				8235791E0B4481C700FE77BB /* askpass in Resources */,
- 				8249C9150B547465007CFB64 /* Localizable.strings in Resources */,
--				8205AF7A0B653F3700A99579 /* sshfs-static in Resources */,
- 				82743E570BD7CE2D006FB711 /* sshnodelay.so in Resources */,
- 			);
- 			runOnlyForDeploymentPostprocessing = 0;
-@@ -315,7 +311,6 @@
- 				GCC_MODEL_TUNING = G5;
- 				GCC_PRECOMPILE_PREFIX_HEADER = YES;
- 				GCC_PREFIX_HEADER = "$(SYSTEM_LIBRARY_DIR)/Frameworks/Carbon.framework/Headers/Carbon.h";
--				INSTALL_PATH = "$(HOME)/bin";
- 				OTHER_LDFLAGS = (
- 					"-framework",
- 					Carbon,
-@@ -339,6 +334,7 @@
- 			isa = XCBuildConfiguration;
- 			buildSettings = {
- 				INFOPLIST_FILE = Resources/Info.plist;
-+				INSTALL_PATH = /Applications;
- 				PRODUCT_NAME = sshfs;
- 				WRAPPER_EXTENSION = app;
- 			};
Index: fuse/sshfs-gui/files/patch-AppController.m
===================================================================
--- fuse/sshfs-gui/files/patch-AppController.m	(revision 30574)
+++ fuse/sshfs-gui/files/patch-AppController.m	(working copy)
@@ -1,12 +0,0 @@
---- ../sshfs-gui.old/AppController.m	2007-04-23 18:37:41.000000000 -0400
-+++ AppController.m	2007-04-23 18:38:39.000000000 -0400
-@@ -75,8 +75,7 @@
-   // setup for task
-   NSString *askPassPath = [[NSBundle mainBundle] pathForResource:@"askpass"
-                                                           ofType:@""];
--  NSString *sshfsPath = [[NSBundle mainBundle] pathForResource:@"sshfs-static"
--                                                        ofType:@""];
-+  NSString *sshfsPath = @"##PREFIX##/bin/sshfs";
-   NSDictionary *sshfsEnv = [NSDictionary dictionaryWithObjectsAndKeys:
-     @"NONE", @"DISPLAY", // I know "NONE" is bogus; I just need something
-     askPassPath, @"SSH_ASKPASS",
Index: fuse/sshfs-gui/Portfile
===================================================================
--- fuse/sshfs-gui/Portfile	(revision 30574)
+++ fuse/sshfs-gui/Portfile	(working copy)
@@ -4,7 +4,9 @@
 PortGroup xcode 1.0
 
 name                sshfs-gui
-version             0.3.0
+version             1.0.0
+revision            2
+set macfuse_version 1.1
 categories          fuse
 platforms           macosx
 maintainers         eridius@macports.org
@@ -14,13 +16,16 @@
 
 homepage            http://code.google.com/p/macfuse/
 
-master_sites        macports
-checksums           md5 23e29333a9974f87d4466c64607f3581 \
-                    sha1 3df742fac97ea4f853b07f2ea41a6b8597af3508
+master_sites        macports:fusefs
+distname            macfuse-${macfuse_version}
+dist_subdir         fusefs
+checksums           md5 42487d7684b1f9a8eb2f8a61b10f7913 \
+                    sha1 6347e5b6b0f810a3e5b0fbc82cbccfdf3f4c6311
 
-livecheck.distname  sshfs-(.*).dmg
+worksrcdir          ${distname}/filesystems/sshfs-gui
 
-patchfiles          patch-AppController.m patch-project.pbxproj
+patchfiles          patch-AppController.m.diff \
+                    patch-sshfs.xcodeproj_project.pbxproj.diff
 
 use_bzip2           yes
 
@@ -31,4 +36,9 @@
 
 post-patch {
     reinplace "s|##PREFIX##|${prefix}|" AppController.m
+}
+
+post-destroot {
+    xinstall -d ${destroot}/Applications/MacPorts
+    copy ${worksrcpath}/build/UninstalledProducts/sshfs.app ${destroot}/Applications/MacPorts/sshfs.app
 }
\ No newline at end of file
Index: fuse/libfuse/Portfile
===================================================================
--- fuse/libfuse/Portfile	(revision 30574)
+++ fuse/libfuse/Portfile	(working copy)
@@ -3,8 +3,9 @@
 PortSystem 1.0
 
 name                libfuse
-version             2.6.5
-revision            1
+version             2.7.1
+revision            2
+set macfuse_version 1.1
 categories          fuse devel
 platforms           darwin
 maintainers         eridius@macports.org
@@ -13,67 +14,46 @@
 
 homepage            http://fuse.sourceforge.net/
 
-distname            fuse-${version}
-master_sites        sourceforge:fuse
-checksums           ${distfiles} md5 66bd30503df55a87b9868835ca5a45bc \
-                                 sha1 bbb6baa147ff9057b66a64f10e5027434468c0aa
+master_sites        macports:fusefs
+distname            macfuse-${macfuse_version}
+dist_subdir         fusefs
+checksums           md5 42487d7684b1f9a8eb2f8a61b10f7913 \
+                    sha1 6347e5b6b0f810a3e5b0fbc82cbccfdf3f4c6311
 
-livecheck.distname  fuse-2.X
+platform darwin 8 {}
 
-depends_lib         port:pkgconfig
-
-platform darwin {
-    depends_run         port:fusefs
-    patch_sites         http://macfuse.googlecode.com/svn/tags/macfuse-0.4.0/libfuse/
-    patchfiles          fuse-2.6.5-macosx.patch
-    checksums-append    fuse-2.6.5-macosx.patch md5 96c27b9d8c5d719ff7db99064c21ec87 \
-                                                sha1 edbf8769809eea32f9f83e7fa7e8b791e6cbe106
-    
-    configure.post_args-append CFLAGS="-D__FreeBSD__=10 -D_POSIX_C_SOURCE=200112L"
-    
-    # override patch.pre_args since it defaults to -p0
-    patch.pre_args -p1
+if {[variant_isset darwin_8]} {
+    set product_version 10.4
+} else {
+    set product_version 10.5
 }
 
+worksrcdir          ${distname}/core/${product_version}/${name}/fuse-${version}
+
+#livecheck.distname  fuse-2.X
+
+use_bzip2           yes
+
+depends_lib         port:pkgconfig
+depends_run         port:fusefs
+
 pre-fetch {
     # LibFUSE currently only works on OS X
     # so error out if attempting to install elsewhere
-    if {![variant_isset darwin]} {
+    if {${os.platform} != "darwin"} {
         return -code error "LibFUSE is only supported for Mac OS X"
     }
-    
-    if {[variant_isset darwin]} {
-        patch_checksum
-    }
 }
 
-proc patch_checksum {} {
-    global checksums_array UI_PREFIX
-    # assume we only have one patchfile, because at the moment that's true
-    set patchfile [option patchfiles]
-    # do our own checksumming of an existing $patchfile because URL changes between revisions
-    # if the checksum fails, delete the patchfile
-    # a lot of this code is copied from checksum_main
-    # Eventually this technique should be replaced with a patchfile dist subdir
-    if {[file exists [option distpath]/$patchfile]} {
-        ui_info "$UI_PREFIX $patchfile exists, checksumming to detect URL change"
-        if {[parse_checksums [option checksums]] == "yes"} {
-            ui_info "$UI_PREFIX [format [msgcat::mc "Checksumming %s"] $patchfile]"
-            set fullpath [file join [option distpath] $patchfile]
-            if {[info exists checksums_array($patchfile)]} {
-                set checksums $checksums_array($patchfile)
-                
-                foreach {type sum} $checksums {
-                    set calculated_sum [calc_$type $fullpath]
-                    if {![string equal $sum $calculated_sum]} {
-                        ui_debug "Checksum mismatch for $patchfile"
-                        delete $fullpath
-                        break
-                    }
-                }
-            }
-        } else {
-            return -code error "Unable to parse checksum string"
-        }
-    }
-}
\ No newline at end of file
+post-extract {
+    system "cd ${workpath}/${distname}/core/${product_version}/${name} && gzip -dc fuse-current.tar.gz | tar --no-same-owner -xf -"
+    system "cd ${worksrcpath} && patch -p1 < ../fuse-current-macosx.patch"
+}
+
+patch {
+    reinplace "s|--prefix=/usr/local|--prefix=${prefix}|" ${worksrcpath}/darwin_configure.sh
+}
+
+configure {
+    system "cd ${worksrcpath} && /bin/sh ./darwin_configure.sh ${workpath}/${distname}/core/${product_version}/fusefs"
+}
Index: fuse/fusefs/Portfile
===================================================================
--- fuse/fusefs/Portfile	(revision 30739)
+++ fuse/fusefs/Portfile	(working copy)
@@ -4,7 +4,8 @@
 PortGroup xcode 1.0
 
 name                fusefs
-version             0.4.0
+version             1.1
+revision            2
 categories          fuse devel
 platforms           darwin
 maintainers         eridius@macports.org
@@ -18,13 +19,21 @@
 
 homepage            http://code.google.com/p/macfuse/
 master_sites        macports
-distname            fusefs-${version}
-worksrcdir          fusefs
-checksums           md5 fb49ac9bc2412da7e02b9e3f1f448545 \
-                    sha1 0b870c2e4d14180510348c49cc0647bff812f520
+distname            macfuse-${version}
+checksums           md5 42487d7684b1f9a8eb2f8a61b10f7913 \
+                    sha1 6347e5b6b0f810a3e5b0fbc82cbccfdf3f4c6311
 
-livecheck.distname  MacFUSE-Core-(.*).dmg
+platform darwin 8 {}
 
+if {[variant_isset darwin_8]} {
+    set product_version 10.4
+} else {
+    set product_version 10.5
+}
+
+worksrcdir          ${distname}/core/${product_version}/${name}
+livecheck.distname  MacFUSE-Core-${product_version}-(.*).dmg
+
 use_bzip2           yes
 
 destroot.violate_mtree yes
@@ -34,9 +43,8 @@
 xcode.build.settings    OBJROOT=build/ SYMROOT=build/
 
 # ensure that user is running OS X 10.4
-platform darwin {}
 pre-fetch {
-    if {[variant_isset darwin]} {
+    if {${os.platform} == "darwin"} {
         set vers [split [exec sw_vers -productVersion] .]
         set majorVersion [lindex $vers 0]
         set minorVersion [lindex $vers 1]
@@ -49,7 +57,11 @@
 }
 
 destroot {
-    set sysfsdir ${destroot}/System/Library/Filesystems
+    if {[variant_isset darwin_8]} {
+        set sysfsdir ${destroot}/System/Library/Filesystems
+    } else {
+        set sysfsdir ${destroot}/Library/Filesystems
+    }
     set macfuse_bundle_dir ${sysfsdir}/fusefs.fs
     set macfuse_support_dir ${macfuse_bundle_dir}/Support
     