Index: rb-actionmailer/Portfile
===================================================================
--- rb-actionmailer/Portfile	(revision 30878)
+++ rb-actionmailer/Portfile	(working copy)
@@ -2,15 +2,15 @@
 
 PortSystem        1.0
 PortGroup         ruby 1.0
-ruby.setup        actionmailer 1.3.3 gem {} rubyforge:18408
+ruby.setup        actionmailer 1.3.5 gem {} rubyforge:26556
 categories-append devel
 maintainers       rcavanaugh@gmail.com
 description       Simplifies the creation of mail service classes.
 long_description  Simplifies the creation of mail service classes \
                   that uses Action View (from Action Pack) to render \
                   the body templates.
-checksums         md5 46896773f58dfbd49a4a8dcaf86b142d \
-                  sha1 8dfaad7ace253f3c700a2e9bf300649ba98417d5 \
-                  rmd160 555ae7f370e72a26b899c9fe1edd7c74a36a289a
+checksums         md5 9ebbb742049141b2558f99ece8fa69db \
+                  sha1 508adc0b5ca56145585b60189f39b51dc8a3e626 \
+                  rmd160 cbff705ba73d0eb37a24f0bdc92466d2aa6cfd7b
 
 depends_lib-append  port:rb-actionpack
Index: rb-activesupport/Portfile
===================================================================
--- rb-activesupport/Portfile	(revision 30878)
+++ rb-activesupport/Portfile	(working copy)
@@ -2,7 +2,7 @@
 PortSystem        1.0
 PortGroup         ruby 1.0
 
-ruby.setup        activesupport 1.4.2 gem {} rubyforge:18398
+ruby.setup        activesupport 1.4.4 gem {} rubyforge:26547
 
 categories-append devel
 maintainers       rcavanaugh@gmail.com
@@ -11,6 +11,6 @@
 long_description  Utility classes and extension to the standard library \
                   that were required by Rails, but found of general use.
                   
-checksums         md5 b52b89c56bc653849f8a9a9027bbaad9 \
-                  sha1 c1a0381913763d7a51d35bb1c784a744e33bebf3 \
-                  rmd160 70fefa6ec77f49142eaf2c0f255833b0b18938be
+checksums         md5 8637bfe846c4b0171ebbd7f5a56efb19 \
+                  sha1 7cb1f5d07995df9838fff204dfe60aa9b74e1db2 \
+                  rmd160 b0441a0cb9c75da06bcb31a46c7a2030b7fbd498
Index: rb-actionpack/Portfile
===================================================================
--- rb-actionpack/Portfile	(revision 30878)
+++ rb-actionpack/Portfile	(working copy)
@@ -2,7 +2,7 @@
 
 PortSystem        1.0
 PortGroup         ruby 1.0
-ruby.setup        actionpack 1.13.3 gem {} rubyforge:18401
+ruby.setup        actionpack 1.13.5 gem {} rubyforge:26553
 categories-append devel
 maintainers       rcavanaugh@gmail.com
 description       Eases web-request routing, handling, and response.
@@ -10,9 +10,9 @@
                   half-way front, half-way page controller. Implemented \
                   with specific emphasis on enabling easy unit/integration \
                   testing that doesn't require a browser.
-checksums         md5 14eb31b2c9fdf318004a7cbafc80d5f5 \
-                  sha1 ae076a820383384010b111279d8555cfb50b457b \
-                  rmd160 f2038df4a70e6230f81e438662785edb3fae129a
+checksums         md5 ba0f69e4d4af687a68ad359f7c12230f \
+                  sha1 3b345a592679c1440f5f321767b8966fff4fd310 \
+                  rmd160 5fe5312d70bee56363598018e15bfe45dbaf4a40
 
 depends_lib-append  port:rb-activesupport
 
Index: rb-actionwebservice/Portfile
===================================================================
--- rb-actionwebservice/Portfile	(revision 30878)
+++ rb-actionwebservice/Portfile	(working copy)
@@ -2,16 +2,16 @@
 
 PortSystem        1.0
 PortGroup         ruby 1.0
-ruby.setup        actionwebservice 1.2.3 gem {} rubyforge:18411
+ruby.setup        actionwebservice 1.2.5 gem {} rubyforge:26559
 categories-append devel
 maintainers       rcavanaugh@gmail.com
 description       Simple support for publishing Web Service APIs for Rails applications.
 long_description  Simple support for publishing Web Service APIs for Rails \
                   applications. Supports SOAP and XML-RPC, as well as \
                   generating WSDL for SOAP bindings.
-checksums         md5 59604dcdf9c6d32d7cff9146f51eae13 \
-                  sha1 c85c1bc885b869e1626e288f09f71bf47a7443f5 \
-                  rmd160 501d4fd37b2ec1666946a0f29cbf63900b4c04a2
+checksums         md5 411e333c1bf9878522f8fffdcbc8dd2d \
+                  sha1 52e77c0ef103f2cb5b30918d290ddf08f928bfab \
+                  rmd160 4e6b241bff1248e0a6081dbf615ebf5134d1b95b
 
 depends_lib-append  port:rb-actionpack \
                     port:rb-activerecord
Index: rb-rails/Portfile
===================================================================
--- rb-rails/Portfile	(revision 30878)
+++ rb-rails/Portfile	(working copy)
@@ -2,7 +2,7 @@
 
 PortSystem        1.0
 PortGroup         ruby 1.0
-ruby.setup        rails 1.2.3 gem {} rubyforge:18404
+ruby.setup        rails 1.2.5 gem {} rubyforge:26562
 categories-append www devel
 maintainers       rcavanaugh@gmail.com
 description       Ruby web-application framework for the MVC pattern.
@@ -11,9 +11,9 @@
                   framework, and object-relational mapping package. \
                   Everything needed to develop web-apps that can run \
                   on CGI, FastCGI, and mod_ruby.
-checksums         md5 297d9c6e30a57f5f4794780293698c54 \
-                  sha1 53302796daa82d5635d4044cb30f50d9cf4b3ad9 \
-                  rmd160 7dcddf8dcad20a9c0cbda6a3924ccaf893ba6ce2 
+checksums         md5 9d6911ef61fd26fca982f863f6ddad4f \
+                  sha1 27be3970056eeda3e22dea055368333fb083489d \
+                  rmd160 d0de64d0f99f1c60b61792d756cca414bec40c99 
 
 depends_lib-append  port:rb-rake \
                     port:rb-activesupport \
Index: rb-activerecord/Portfile
===================================================================
--- rb-activerecord/Portfile	(revision 30878)
+++ rb-activerecord/Portfile	(working copy)
@@ -3,7 +3,7 @@
 PortSystem        1.0
 PortGroup         ruby 1.0
 
-ruby.setup        activerecord 1.15.3 gem {} rubyforge:18405
+ruby.setup        activerecord 1.15.5 gem {} rubyforge:26550
 
 categories-append devel
 maintainers       rcavanaugh@gmail.com
@@ -15,8 +15,8 @@
                   can find, save, and destroy themselves without resorting \
                   to manual SQL.
                   
-checksums         md5 fd461e595441731e34c8235a94bd0372 \
-                  sha1 ea7a32d829c19476a45be7ba0c2419c3fc1e564f \
-                  rmd160 573c8c9ce5557ad478ef0bd9e8ffeffb7e594f5f
+checksums         md5 b6e482a33044bc4fcedeba1291efd4b1 \
+                  sha1 8670c7a8e7fecb6caab14f6a3f1840eee43cfa98 \
+                  rmd160 4aba139e4032571ab9c01db1a1e12141c6d4b355
 
 depends_lib-append  port:rb-activesupport