Index: rb-daemons/Portfile
===================================================================
--- rb-daemons/Portfile	(revision 30878)
+++ rb-daemons/Portfile	(working copy)
@@ -2,7 +2,7 @@
 
 PortSystem			1.0
 PortGroup			ruby 1.0
-ruby.setup			daemons 1.0.5 gem {} rubyforge_gem
+ruby.setup			daemons 1.0.9 gem {} rubyforge:27163
 maintainers			pguyot@kallisys.net
 description			A toolkit to create and control daemons in different ways
 long_description	Daemons provides an easy way to wrap existing ruby \
@@ -15,7 +15,7 @@
 					exception  backtracing and logging (in case your ruby \
 					script crashes) and monitoring and automatic restarting \
 					of your processes if they crash.
-checksums			md5 05fe36a41bbdd0a2b0d54d1d137d95a2 \
-					sha1 0b4f1adcd0693adc7877c15ef2be7318495a541e \
-					rmd160 31e32887d46413197e77757489ea181430dc243e
+checksums			md5 6abde41b0371f2ce4a00760cade12b81 \
+					sha1 f74de8fd47d602e2e54f34e93bf7302ac98ea0f7 \
+					rmd160 2b4bf31bbc3858cd0fbc912c12300e40239e5b14
 homepage			http://daemons.rubyforge.org
Index: rb-fastthread/Portfile
===================================================================
--- rb-fastthread/Portfile	(revision 30878)
+++ rb-fastthread/Portfile	(working copy)
@@ -2,12 +2,12 @@
 
 PortSystem			1.0
 PortGroup			ruby 1.0
-ruby.setup			fastthread 1.0 gem {} rubyforge_gem:mongrel
+ruby.setup			fastthread 1.0.1 gem {} rubyforge:27042
 maintainers			pguyot@kallisys.net
 description			Optimized replacement for thread.rb primitives
 long_description	Optimized replacement for thread.rb primitives
-checksums			md5 ced512fe09be9cc9184976d50882efb1 \
-					sha1 0ef229498ab5912ec7443144b319f73994e9ae44 \
-					rmd160 7deeb3c910ddf9ea194870dcab360498a7514e2e
+checksums			md5 699b7198aa1093ada0225a0d491574ef \
+					sha1 2358ba8cb78491952f589f5f911930e18f4688c2 \
+					rmd160 9f0e9d5ff257fbc471f36030a0e3cedcef0695b9
 
 livecheck.regex		<strong>fastthread</strong></td><td>fastthread-(.*)
Index: rb-gem_plugin/Portfile
===================================================================
--- rb-gem_plugin/Portfile	(revision 30878)
+++ rb-gem_plugin/Portfile	(working copy)
@@ -2,14 +2,14 @@
 
 PortSystem			1.0
 PortGroup			ruby 1.0
-ruby.setup			gem_plugin 0.2.2 gem {} rubyforge_gem:mongrel
+ruby.setup			gem_plugin 0.2.3 gem {} rubyforge:27044
 maintainers			pguyot@kallisys.net
 description			A plugin system based only on rubygems that uses \
 					dependencies only.
 long_description	${description}
-checksums			md5 d00defdd383bc90b2b6d8c2773e93ab0 \
-					sha1 fcdb2c81f2c533012d4b394f47ecb0e2ed8656f8 \
-					rmd160 2f5840f03fe34e07ef10627e7a21e8e642ac1137
+checksums			md5 1736ce8ce007058c4703abe2fd209aa5 \
+					sha1 14cb572dbee665b19ecac26dfcd1150d1f35de1e \
+					rmd160 963a3d7a3aa052a31213555f46c100f7ce8b82ce
 
 depends_lib-append \
 					port:rb-rake
Index: rb-mongrel/Portfile
===================================================================
--- rb-mongrel/Portfile	(revision 30878)
+++ rb-mongrel/Portfile	(working copy)
@@ -2,7 +2,7 @@
 
 PortSystem			1.0
 PortGroup			ruby 1.0
-ruby.setup			mongrel 1.0.1 gem {} rubyforge_gem
+ruby.setup			mongrel 1.1 gem {} rubyforge:27287
 maintainers			pguyot@kallisys.net
 description			Fast HTTP Library and server for Ruby
 long_description	Mongrel is a fast HTTP library and server for Ruby that \
@@ -10,12 +10,14 @@
 					using plain HTTP rather than FastCGI or SCGI. It is \
 					framework agnostic and already supports Ruby On Rails, \
 					Og+Nitro, and Camping frameworks.
-checksums			md5 e3caa5d827d0d4bf03acc7245b71694f \
-					sha1 9efda5fd0f989cba6ebf342985bf8a6b4c5fd056 \
-					rmd160 ac30135e517c20ccd220e63e26a0d6cf0600bbd2
+checksums			md5 ed696a956d609ab1dc4f137e7972a21d \
+					sha1 66d88b123489a23dce7b9bcdbd25de52214f2865 \
+					rmd160 47c56a5450eb158d16d244df920a846ab9e3ac9d
 
 depends_lib-append \
+					port:rb-fastthread \
 					port:rb-daemons \
+					port:rb-cgi_multipart_eof_fix \
 					port:rb-gem_plugin
 
 livecheck.version	${ruby.module}-${version}
Index: rb-cgi_multipart_eof_fix/Portfile
===================================================================
--- rb-cgi_multipart_eof_fix/Portfile	(revision 30878)
+++ rb-cgi_multipart_eof_fix/Portfile	(working copy)
@@ -2,17 +2,15 @@
 
 PortSystem			1.0
 PortGroup			ruby 1.0
-ruby.setup			cgi_multipart_eof_fix 2.1 gem {} rubyforge_gem
+ruby.setup			cgi_multipart_eof_fix 2.5.0 gem {} rubyforge:27040
 maintainers			pguyot@kallisys.net
 description			Fix an exploitable bug in CGI multipart parsing which \
 					affects Ruby <= 1.8.5 when multipart boundary attribute \
 					contains a non-halting regular expression string.
 long_description	${description}
-checksums			md5 02759eecbf8eecd9a811192cbc1e990b \
-					sha1 9e36241b4940be936537ae97deb8c874d6234e61 \
-					rmd160 894d59d1dba2727781ab773bff400988f9573387
+checksums			md5 4f8d588e53755d5c86b0b61187e6d996 \
+					sha1 4f8d588e53755d5c86b0b61187e6d996 \
+					rmd160 075cfac2022d53d10ffd0a834e71b34d17b1c1fb
 homepage			http://blog.evanweaver.com
 
-livecheck.check	regex
-livecheck.regex	{<a href="http://packages.gentoo.org/ebuilds/\?cgi_multipart_eof_fix-(.*)" title=".*">\1</a></th>}
-livecheck.url	http://packages.gentoo.org/packages/?category=dev-ruby&name=cgi_multipart_eof_fix
+livecheck.version	${ruby.module}-${version}
Index: rb-mongrel_cluster/Portfile
===================================================================
--- rb-mongrel_cluster/Portfile	(revision 30878)
+++ rb-mongrel_cluster/Portfile	(working copy)
@@ -2,15 +2,15 @@
 
 PortSystem			1.0
 PortGroup			ruby 1.0
-ruby.setup			mongrel_cluster 0.2.1 gem {} rubyforge_gem
+ruby.setup			mongrel_cluster 1.0.4 gem {} rubyforge:27292
 maintainers			pguyot@kallisys.net
 description			Mongrel plugin that provides commands and Capistrano \
 					tasks for managing multiple Mongrel processes.
 long_description	Mongrel plugin that provides commands and Capistrano \
 					tasks for managing multiple Mongrel processes.
-checksums			md5 4f497c3823cadf527b7dab12a05dda7b \
-					sha1 2e4d8d3c584ee94095d171b3f0fe28eba87f9e32 \
-					rmd160 5920e42e48b851730b97f173b548b5679183bb6a
+checksums			md5 1020f5bb958628efc9d62d44f8f4b0bd \
+					sha1 525f3036822389824cef2dec6a41fdb300affd01 \
+					rmd160 7c21198d43d00e04aa39f1961d7f92cae94e9de8
 
 depends_lib-append \
 					port:rb-gem_plugin \