Index: files/utf8mac.diff
===================================================================
--- files/utf8mac.diff	(revision 30574)
+++ files/utf8mac.diff	(working copy)
@@ -1,6 +1,6 @@
-diff -Naur libiconv-1.11.orig/lib/converters.h libiconv-1.11/lib/converters.h
---- libiconv-1.11.orig/lib/converters.h	2006-05-18 21:43:55.000000000 +0900
-+++ libiconv-1.11/lib/converters.h	2007-01-26 23:15:55.000000000 +0900
+diff -Naur libiconv-1.12.orig/lib/converters.h libiconv-1.12/lib/converters.h
+--- libiconv-1.12.orig/lib/converters.h	2007-05-26 08:18:25.000000000 +0900
++++ libiconv-1.12/lib/converters.h	2007-11-13 17:41:10.000000000 +0900
 @@ -113,6 +113,7 @@
  /* General multi-byte encodings */
  #include "utf8.h"
@@ -9,22 +9,22 @@
  #include "ucs2be.h"
  #include "ucs2le.h"
  #include "ucs4.h"
-diff -Naur libiconv-1.11.orig/lib/encodings.def libiconv-1.11/lib/encodings.def
---- libiconv-1.11.orig/lib/encodings.def	2006-05-18 21:43:55.000000000 +0900
-+++ libiconv-1.11/lib/encodings.def	2007-01-26 23:15:55.000000000 +0900
+diff -Naur libiconv-1.12.orig/lib/encodings.def libiconv-1.12/lib/encodings.def
+--- libiconv-1.12.orig/lib/encodings.def	2007-05-26 08:17:48.000000000 +0900
++++ libiconv-1.12/lib/encodings.def	2007-11-13 17:41:10.000000000 +0900
 @@ -55,12 +55,18 @@
  /* General multi-byte encodings */
  
  DEFENCODING(( "UTF-8",                  /* IANA, RFC 2279 */
 -            /*"UTF8",                      JDK 1.1 */
-+              "UTF8",                   /* JDK 1.1 */
++            "UTF8",                     /* JDK 1.1 */
              /*"CP65001",                   Windows */
              ),
              utf8,
              { utf8_mbtowc, NULL },        { utf8_wctomb, NULL })
  
 +DEFENCODING(( "UTF-8-MAC",              /* utf8-nfd */
-+              "UTF8-MAC",               /* label from samba 2.2jp */
++            "UTF8-MAC",                 /* label from samba 2.2jp */
 +            ),
 +            utf8mac,
 +            { utf8mac_mbtowc, NULL },     { utf8mac_wctomb, NULL })
@@ -32,9 +32,9 @@
  DEFENCODING(( "UCS-2",                  /* glibc */
                "ISO-10646-UCS-2",        /* IANA */
                "csUnicode",              /* IANA */
-diff -Naur libiconv-1.11.orig/lib/utf8mac.h libiconv-1.11/lib/utf8mac.h
---- libiconv-1.11.orig/lib/utf8mac.h	1970-01-01 09:00:00.000000000 +0900
-+++ libiconv-1.11/lib/utf8mac.h	2007-01-26 23:16:20.000000000 +0900
+diff -Naur libiconv-1.12.orig/lib/utf8mac.h libiconv-1.12/lib/utf8mac.h
+--- libiconv-1.12.orig/lib/utf8mac.h	1970-01-01 09:00:00.000000000 +0900
++++ libiconv-1.12/lib/utf8mac.h	2007-11-13 17:42:39.000000000 +0900
 @@ -0,0 +1,1608 @@
 +/*
 + * Copyright (C) 2003 Apple Computer, Inc. All rights reserved.
@@ -65,9 +65,9 @@
 + 	Includes Unicode 3.2 decomposition code derived from Core Foundation
 + */
 +
-+#include <errno.h>                      /* EINVAL, ENAMETOOLONG */
-+#include <string.h>                     /* bzero() */
 +#include <libkern/OSByteOrder.h>
++#include <errno.h>
++#include <string.h>			/* bzero() */
 +
 +#define	UTF_REVERSE_ENDIAN	0x01	/* reverse UCS-2 byte order */
 +#define	UTF_NO_NULL_TERM	0x02	/* do not add null termination */
@@ -1148,7 +1148,7 @@
 + * NOTES:
 + *    The resulting UTF-8 string is NULL terminated.
 + *
-+ *    If '/' chars are allowed on disk then an alternate
++ *    If '/' chars are not allowed on disk then an alternate
 + *    (replacement) char must be provided in altslash.
 + *
 + * input flags:
@@ -1260,7 +1260,7 @@
 + *    The input UTF-8 string does not need to be null terminated
 + *    if utf8len is set.
 + *
-+ *    If '/' chars are allowed on disk then an alternate
++ *    If '/' chars are not allowed on disk then an alternate
 + *    (replacement) char must be provided in altslash.
 + *
 + * input flags:
@@ -1611,7 +1611,7 @@
 +    flags |= UTF_REVERSE_ENDIAN;
 +#endif
 +
-+    ret = utf8_decodestr(s, n, ucsp, &ucslen, sizeof(ucsp), NULL, flags, &consumed);
++    ret = utf8_decodestr(s, n, ucsp, &ucslen, sizeof(ucsp), 0, flags, &consumed);
 +
 +    if (ret == ENAMETOOLONG)	/* Name didn't fit; only ucslen chars were decoded */
 +	return RET_TOOFEW(0);
Index: Portfile
===================================================================
--- Portfile	(revision 30574)
+++ Portfile	(working copy)
@@ -3,8 +3,7 @@
 PortSystem          1.0
 
 name                libiconv
-version             1.11
-revision            6
+version             1.12
 categories          textproc
 maintainers         ryandesign
 platforms           darwin freebsd linux
@@ -26,13 +25,13 @@
 
 checksums \
 	${distname}${extract.suffix} \
-		md5 b77a17e4a5a817100ad4b2613935055e \
-		sha1 df09c3ef43443ac15c0c2d49fd791aa73a64bf30 \
-		rmd160 9adbcd61598bee2fbe4eb94ac3f35f83f568d9d0 \
+		md5 c2be282595751535a618ae0edeb8f648 \
+		sha1 a5738d7dfbbd01c49e8ce026ea4ffa0f01af0179 \
+		rmd160 74a63c1a2963ac1729c1ac7adfec8fd397a685bd \
 	${distname}-cp932-devel.patch.gz \
-		md5 71caa7501358d462862ffab0bd49a152 \
-		sha1 f66d156ec559fedee411393dc7223064039ce209 \
-		rmd160 bacc8421a7e57a0d4dd4d3e133581f55bdd0b886
+		md5 124d240bff22e20b86e86d8c8e3bae1c \
+		sha1 d989b1ce0a829fa3a12c08c3634efd5f169b399a \
+		rmd160 2042116888ee28572c1f7bcc2756e4a29edfbad0
 
 depends_build \
 	bin:gperf:gperf
@@ -84,6 +83,9 @@
 		MACOSX_DEPLOYMENT_TARGET=10.4
 	configure.env-append \
 		MACOSX_DEPLOYMENT_TARGET=10.4
+	if {[variant_isset universal]} {
+		configure.ldflags-append "-isysroot /Developer/SDKs/MacOSX10.4u.sdk"
+	}
 }
 
 platform freebsd {